Package org.silverpeas.mobile.client.common.mobil

## Class MobilUtils

- java.lang.Object
- - org.silverpeas.mobile.client.common.mobil.MobilUtils

-     public class MobilUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MobilUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getDdvicePixelRatio()` |
    `static Orientation` | `getOrientation()` |
    `static int` | `getScreenHeight()` |
    `static int` | `getScreenWidth()` |
    `static boolean` | `isAndroid()` |
    `static boolean` | `isDevicePixelRatioGreaterTwo()` |
    `static boolean` | `isIOS()` |
    `static boolean` | `isMobil()` |
    `static boolean` | `isRetina()` |
    `static boolean` | `isStandalone()` |
    `static boolean` | `isTablet()` |
    `static boolean` | `isWVGA()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MobilUtils

          public MobilUtils()

  - ### Method Detail

    - #### getOrientation

          public static Orientation getOrientation()

    - #### isIOS

          public static boolean isIOS()

    - #### isAndroid

          public static boolean isAndroid()

    - #### isRetina

          public static boolean isRetina()

    - #### isWVGA

          public static boolean isWVGA()

    - #### isDevicePixelRatioGreaterTwo

          public static final boolean isDevicePixelRatioGreaterTwo()

    - #### isStandalone

          public static final boolean isStandalone()

    - #### isMobil

          public static boolean isMobil()

    - #### isTablet

          public static boolean isTablet()

    - #### getDdvicePixelRatio

          public static final int getDdvicePixelRatio()

    - #### getScreenWidth

          public static final int getScreenWidth()

    - #### getScreenHeight

          public static final int getScreenHeight()